Subject: Re: bug#27631: dired a/*/b

From: Tino Calancha <[email-masked]>
Date: Fri, 28 Jul 2017 18:34:20 +0900 (JST)

On Fri, 28 Jul 2017, Michael Albinus wrote:

>>> Neither "C-x d ~/src/*/lisp" nor "C-x d /scp:remotehost:~/src/*/lisp"
>>> works. According to the NEWS entry in your patch, I would expect that at
>>> least the former works.
>> No, the former must fails because there is n match.  Maybe just the
>> error is not clear.
>> The wildcard, ~/src/*/lisp
>> matches things like:
>> ~/src/foo/lisp
>> but not:
>> ~/src/lisp
>
> I should have said that there exist ~/src/emacs/lisp and
> ~/src/tramp/lisp. I would expect to see them with "C-x d ~/src/*/lisp".
When you are not using neither 'ls-lisp' nor 'eshell-ls', then it is the
system shell who performs the wildcard expansion.
That means, if the following doesn't work:
M-! ls ~/src/*/lisp RET
then,
C-x d ~/src/*/lisp RET
must fail as well.